Description
Search within series B2455 for a person using a single keyword
Details
A user conducts a simple keyword search for a Person record within series B2455.
Example
A user enters 'Albert Edward THOMPSON' as the keword to search.
Pre-requisites / Restrictions
Up to 2000 record item records matching the request will be returned. List of search results displayed on each page is limited to 100.
Request Information
Parameters
| Name | Description | Additional information |
|---|---|---|
| keyword | Keyword to search. |
Define this parameter in the request URI. |
| rows | Number of results to return. Integer greater than 0 less than 2000. |
Define this parameter in the request URI. |
| page | The offset of rows to use for results to return. Integer greater than 0. Useful for page based clients. |
Define this parameter in the request URI. |
| app_id | Application ID |
Define this parameter in the request URI. |
| app_key | Application Key |
Define this parameter in the request URI. |
Response Information
Response body - PersonSearchResponse
application/json, text/json
Sample:
{
"ResultSet": [
{
"person_id": 1,
"name": "sample string 2",
"first_name": "sample string 3",
"family_name": "sample string 4",
"alias_names": [
"sample string 1",
"sample string 2",
"sample string 3"
],
"service_numbers": [
"sample string 1",
"sample string 2",
"sample string 3"
],
"place_of_birth": [
"sample string 1",
"sample string 2",
"sample string 3"
],
"place_of_enlistment": [
"sample string 1",
"sample string 2",
"sample string 3"
]
},
{
"person_id": 1,
"name": "sample string 2",
"first_name": "sample string 3",
"family_name": "sample string 4",
"alias_names": [
"sample string 1",
"sample string 2",
"sample string 3"
],
"service_numbers": [
"sample string 1",
"sample string 2",
"sample string 3"
],
"place_of_birth": [
"sample string 1",
"sample string 2",
"sample string 3"
],
"place_of_enlistment": [
"sample string 1",
"sample string 2",
"sample string 3"
]
},
{
"person_id": 1,
"name": "sample string 2",
"first_name": "sample string 3",
"family_name": "sample string 4",
"alias_names": [
"sample string 1",
"sample string 2",
"sample string 3"
],
"service_numbers": [
"sample string 1",
"sample string 2",
"sample string 3"
],
"place_of_birth": [
"sample string 1",
"sample string 2",
"sample string 3"
],
"place_of_enlistment": [
"sample string 1",
"sample string 2",
"sample string 3"
]
}
],
"result_count": 1
}
Response Status Codes
| Code | Name | Additional information |
|---|---|---|
| 200 | OK |
Request was successfully processed |
| 401 | Unauthorized |
Authorisation has failed |
| 404 | NotFound |
Requested data was not found |
| 500 | InternalServerError |
An error has occurred on the server |